## toshiba-osd-userspace 1.03.19payson0

=== Makefile ===

all: 
	make -C osd all
	make -C osdd all
	make -C chvt-helper all

install:
	make -C osd install
	make -C osdd install
	make -C chvt-helper install

clean:
	make -C osd clean
	make -C osdd clean

distclean: clean

=== chvt-helper/Makefile ===
# define a list of pkg-config packages we want to use
pkg_packages := 

# get the necessary flags for compiling
#PKG_CFLAGS := $(shell pkg-config --cflags $(pkg_packages))
# get the necessary flags for linking
#PKG_LDFLAGS := $(shell pkg-config --libs $(pkg_packages))

CC := gcc -Wall
CFLAGS := $(PKG_CFLAGS) 
LDFLAGS := $(PKG_LDFLAGS)

OBJFILES := chvt-helper.o

.SUFFIXES: .o .c


targets = chvt-helper

all: $(targets)

.cpp.o:
	$(CC) $(CFLAGS) -c $< -o $@

osdd: $(OBJFILES)
	$(CC) $^ -o $@ $(LDFLAGS)

install: $(targets)
	install -d $(DESTDIR)/usr/bin/
	install -m 4755 $(targets) $(DESTDIR)/usr/bin/

clean:
	rm -f *.o $(targets)

=== debian/changelog ===
toshiba-osd-userspace (1.03.19payson0) hardy; urgency=low

  * Update osd userspace to 1.03.19

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Mon, 15 Dec 2008 05:30:33 -0500

toshiba-osd-userspace (1.03.16payson12) hardy; urgency=low

  * Add threeg as device to /etc/init.d/osd.sh

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Thu, 11 Dec 2008 20:02:56 -0500

toshiba-osd-userspace (1.03.16payson11) hardy; urgency=low

  * Revert to rev 44, as patched intel 2.2.1 driver did not work

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 05 Dec 2008 11:43:08 +0800

toshiba-osd-userspace (1.03.16payson10) hardy; urgency=low

  * Fix code

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Mon, 17 Nov 2008 10:34:25 -0500

toshiba-osd-userspace (1.03.16payson9) hardy; urgency=low

  * Add chvt-helper for external display only

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Mon, 17 Nov 2008 10:22:18 -0500

toshiba-osd-userspace (1.03.16payson8) hardy; urgency=low

  *  Remove all changes for brightness - Brightness is always reduced to zero
     now, reading /sys/.../brightness does not seem to work.

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Mon, 17 Nov 2008 08:27:31 -0500

toshiba-osd-userspace (1.03.16payson7) hardy; urgency=low

  * Work around for brightness change on resolution using userspace tools

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 14 Nov 2008 16:50:58 -0500

toshiba-osd-userspace (1.03.16payson6) hardy; urgency=low

  * Fix call of chvt-helper

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 23:44:57 -0500

toshiba-osd-userspace (1.03.16payson5) hardy; urgency=low

  * Actually build chvt-helper

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 23:27:10 -0500

toshiba-osd-userspace (1.03.16payson4) hardy; urgency=low

  * Move chvt work around to own sbit binary so it can be called for Fn F3 and
    Fn ESC

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 22:51:41 -0500

toshiba-osd-userspace (1.03.16payson3) hardy; urgency=low

  * Revert last change as Fn F3 needs to trigger virtual console toggle
    on key release, not key press

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 18:13:22 -0500

toshiba-osd-userspace (1.03.16payson2) hardy; urgency=low

  * Add virtual console work around to Fn F3 hotkey

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 13:34:47 -0500

toshiba-osd-userspace (1.03.16payson1) hardy; urgency=low

  * Lengthen delay to give graphics driver time to get change

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 07 Nov 2008 16:50:08 -0500

toshiba-osd-userspace (1.03.16payson0) hardy; urgency=low

  * Merge with upstream 1.03.16
  * Fix for VGA detection
  * From release notes: restore the function ^of auto changing mode from video to lcd


 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Thu, 06 Nov 2008 08:35:02 -0500

toshiba-osd-userspace (1.03.15unr0payson8) hardy; urgency=low

  * Work around for 3D graphics problem, closes #288034

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 05 Nov 2008 19:50:50 -0500

toshiba-osd-userspace (1.03.15unr0payson7) hardy; urgency=low

  * Use dbus for hibernation, pm-hibernate needs root privileges

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 05 Nov 2008 12:19:40 -0500

toshiba-osd-userspace (1.03.15unr0payson6) hardy; urgency=low

  *  Use pm-hibernate for Fn-F2

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Mon, 03 Nov 2008 17:33:20 -0500

toshiba-osd-userspace (1.03.15unr0payson5) hardy; urgency=low

  * Remove unneeded osddriver removal and osd kill from sys v init script 

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Sun, 02 Nov 2008 14:43:51 -0500

toshiba-osd-userspace (1.03.15unr0payson4) hardy; urgency=low

  * Fixed substitution in sys v init script

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Sat, 01 Nov 2008 23:31:26 -0400

toshiba-osd-userspace (1.03.15unr0payson3) hardy; urgency=low

  * Renamed osd-driver to osddriver in init script

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Sat, 01 Nov 2008 22:41:20 -0400

toshiba-osd-userspace (1.03.15unr0payson2) hardy; urgency=low

  * Add toshiba-osd-bin containing the kernel module as dependency

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Sat, 01 Nov 2008 19:30:08 -0400

toshiba-osd-userspace (1.03.15unr0payson1) hardy; urgency=low

  * Trying to get a higher version name than 1.03.15unr0

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Sat, 01 Nov 2008 15:51:24 -0400

toshiba-osd-userspace (1.03.15payson1) hardy; urgency=low

  * Fix osd.sh sys v init script

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Sat, 01 Nov 2008 15:44:30 -0400

toshiba-osd-userspace (1.03.15payson0) hardy; urgency=low

  * Normalize package name

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 31 Oct 2008 15:26:02 -0400

toshiba-osd-userspace (1.03.15unr0) hardy; urgency=low

  * Added missing configure

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 31 Oct 2008 13:07:47 -0400

toshiba-osd-userspace (1.03.15) hardy; urgency=low

  * Udpate to OSD 1.03.15 Sources 
  * License change to GPL

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 31 Oct 2008 11:56:33 -0400

toshiba-osd-userspace (1.03.12ts) hardy; urgency=low

  * build compatibility with hardy debhelper

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 29 Oct 2008 12:04:46 -0400

toshiba-osd-userspace (1.03.12) hardy; urgency=low

  * Initial Release.

 -- Jerone Young <jerone.young@canonical.com>  Tue, 28 Oct 2008 23:51:45 -0500

## toshiba-osd-userspace 1.03.19payson4

=== Makefile ===

all: 
	make -C osd all
	make -C osdd all

install:
	make -C osd install
	make -C osdd install

clean:
	make -C osd clean
	make -C osdd clean

distclean: clean

=== osd/Makefile ===
# define a list of pkg-config packages we want to use
pkg_packages := gtk+-2.0 cairo

# get the necessary flags for compiling
PKG_CFLAGS := $(shell pkg-config --cflags $(pkg_packages))
# get the necessary flags for linking
PKG_LDFLAGS := $(shell pkg-config --libs $(pkg_packages))

CC := g++ -Wall
CFLAGS := $(PKG_CFLAGS) -I/usr/include/gtk-2.0 
LDFLAGS :=  -lX11 -lXtst -lXext $(PKG_LDFLAGS) 

OBJFILES := dialog.o hibernate.o main.o monitor.o resolution.o vga.o video.o

.SUFFIXES: .o .cpp

targets = osd

all: $(targets)

.cpp.o:
	$(CC) $(CFLAGS) -c $< -o $@

osd: $(OBJFILES)
	$(CC) $^ -o $@ $(LDFLAGS)

install: $(targets)
	install -d $(DESTDIR)/usr/bin/
	install $(targets) $(DESTDIR)/usr/bin/
	
clean:
	rm -f *.o osd

=== osdd/Makefile ===
# define a list of pkg-config packages we want to use
pkg_packages := 

# get the necessary flags for compiling
#PKG_CFLAGS := $(shell pkg-config --cflags $(pkg_packages))
# get the necessary flags for linking
#PKG_LDFLAGS := $(shell pkg-config --libs $(pkg_packages))

CC := g++ -Wall
CFLAGS := $(PKG_CFLAGS) 
LDFLAGS := $(PKG_LDFLAGS)

OBJFILES := brightness.o main.o mute.o

.SUFFIXES: .o .cpp


targets = osdd

all: $(targets)

.cpp.o:
	$(CC) $(CFLAGS) -c $< -o $@

osdd: $(OBJFILES)
	$(CC) $^ -o $@ $(LDFLAGS)

install: $(targets)
	install -d $(DESTDIR)/usr/bin/
	install $(targets) $(DESTDIR)/usr/bin/


clean:
	rm -f *.o osdd

=== debian/changelog ===
toshiba-osd-userspace (1.03.19payson4) hardy; urgency=low

  * remove reading wireless value and use value that gets set after write,
    otherwise the state does not get maintained correctly

 -- Bill Filler <bill.filler@canonical.com>  Wed, 17 Dec 2008 14:22:32 -0500

toshiba-osd-userspace (1.03.19payson3) hardy; urgency=low

  * Add reading of wireless value again

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 17 Dec 2008 18:48:27 +0100

toshiba-osd-userspace (1.03.19payson2) hardy; urgency=low

  * Update network manager call to 0.7 syntax

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 17 Dec 2008 18:22:51 +0100

toshiba-osd-userspace (1.03.19payson1) hardy; urgency=low

  * Remove chvt-helper 
  * Enable network-manager update again

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 17 Dec 2008 10:55:14 +0100

=== debian/control ===
Source: toshiba-osd-userspace
Section: admin
Priority: extra
Maintainer: Jerone Young <jerone.young@canonical.com>
Build-Depends: cdbs, debhelper (>= 5), libgtk2.0-dev, libxtst-dev
Standards-Version: 3.8.0

Package: toshiba-osd-userspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, toshiba-osd-bin
Description: Toshiba/Inventec OSD userspace 
 Toshiba/Inventec userspace onscreen display tools.

## toshiba-osd-userspace 1.03.19payson7

=== debian/changelog ===
toshiba-osd-userspace (1.03.19payson7) payson; urgency=low

  * add better error checking in preinst to prevent build failure 

 -- Bill Filler <bill.filler@canonical.com>  Fri, 27 Mar 2009 15:59:40 -0400

toshiba-osd-userspace (1.03.19payson6) payson; urgency=low

  * added debugging to preinst 

 -- Bill Filler <bill.filler@canonical.com>  Fri, 27 Mar 2009 11:29:03 -0400

toshiba-osd-userspace (1.03.19payson5) payson; urgency=low

  * added debian/preinst to cleanup files from pre-mp osd 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 26 Mar 2009 18:18:18 -0400
